aboutsummaryrefslogtreecommitdiff
path: root/system/slack-timedate
diff options
context:
space:
mode:
authorEugene Wissner <belka@caraus.de>2024-07-17 21:08:38 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-07-17 22:39:34 +0700
commit619e67a7b6ec985e2fc2ec96ed9de3a087f4bee9 (patch)
treebb396db6ed8b586b168b3d71f10fb2a6d2ec7808 /system/slack-timedate
parentf97d51da9ab4bd2c59c6e825707c416de784efea (diff)
system/slack-timedate: Added (timedated1 interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/slack-timedate')
-rw-r--r--system/slack-timedate/README9
-rw-r--r--system/slack-timedate/slack-desc19
-rw-r--r--system/slack-timedate/slack-timedate.SlackBuild102
-rw-r--r--system/slack-timedate/slack-timedate.info10
4 files changed, 140 insertions, 0 deletions
diff --git a/system/slack-timedate/README b/system/slack-timedate/README
new file mode 100644
index 0000000000000..10f311b0be859
--- /dev/null
+++ b/system/slack-timedate/README
@@ -0,0 +1,9 @@
+This program implements timedated1 interface from systemd that is
+required by GNOME Control Center and can be used by KDE Settings.
+
+slack-timedate's purpose is to make it possible to enjoy full desktop
+environment functionality on Slackware Linux which doesn't use
+systemd as its init-system.
+
+Since the maintainer of this package is also the author of the program,
+fill free to contact me if you encounter any problems or bugs with it.
diff --git a/system/slack-timedate/slack-desc b/system/slack-timedate/slack-desc
new file mode 100644
index 0000000000000..c67f61560b97e
--- /dev/null
+++ b/system/slack-timedate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slack-timedate: slack-timedate (timedate1 D-Bus interface implementation)
+slack-timedate:
+slack-timedate: This program implements timedated1 interface from systemd that is
+slack-timedate: required by GNOME Control Center and can be used by KDE Settings.
+slack-timedate:
+slack-timedate: slack-timedate's purpose is to make it possible to enjoy full desktop
+slack-timedate: environment functionality on Slackware Linux which doesn't use
+slack-timedate: systemd as its init-system.
+slack-timedate:
+slack-timedate: Homepage: https://git.caraus.tech/OSS/slack-timedate
+slack-timedate:
diff --git a/system/slack-timedate/slack-timedate.SlackBuild b/system/slack-timedate/slack-timedate.SlackBuild
new file mode 100644
index 0000000000000..4464ea58a1ba8
--- /dev/null
+++ b/system/slack-timedate/slack-timedate.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for slack-timedate
+
+# Copyright 2024 Eugene Wissner, Mannheim, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=slack-timedate
+VERSION=${VERSION:-2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/slack-timedate/slack-timedate.info b/system/slack-timedate/slack-timedate.info
new file mode 100644
index 0000000000000..cb1c0081f2efa
--- /dev/null
+++ b/system/slack-timedate/slack-timedate.info
@@ -0,0 +1,10 @@
+PRGNAM="slack-timedate"
+VERSION="2.1"
+HOMEPAGE="https://git.caraus.tech/OSS/slack-timedate"
+DOWNLOAD="https://git.caraus.tech/OSS/slack-timedate/releases/download/v2.1/slack-timedate-2.1.tar.xz"
+MD5SUM="83dffadb2732b56d9dd2b18d5d237b84"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"